ResultSet.Flag (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Enum ResultSet.Flag

- java.lang.Object
- - java.lang.Enum<ResultSet.Flag>
  - - org.apache.cassandra.cql3.ResultSet.Flag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResultSet.Flag>
  Enclosing class:
    ResultSet

      public static enum ResultSet.Flag
      extends java.lang.Enum<ResultSet.Flag>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GLOBAL_TABLES_SPEC`
    `HAS_MORE_PAGES`
    `NO_METADATA`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.EnumSet<ResultSet.Flag>` | `deserialize(int flags)`
    `static int` | `serialize(java.util.EnumSet<ResultSet.Flag> flags)`
    `static ResultSet.Flag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResultSet.Flag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GLOBAL_TABLES_SPEC

          public static final ResultSet.Flag GLOBAL_TABLES_SPEC

    - #### HAS_MORE_PAGES

          public static final ResultSet.Flag HAS_MORE_PAGES

    - #### NO_METADATA

          public static final ResultSet.Flag NO_METADATA

  - ### Method Detail

    - #### values

          public static ResultSet.Flag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResultSet.Flag c : ResultSet.Flag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResultSet.Flag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### deserialize

          public static java.util.EnumSet<ResultSet.Flag> deserialize(int flags)

    - #### serialize

          public static int serialize(java.util.EnumSet<ResultSet.Flag> flags)

Copyright © 2018 The Apache Software Foundation